/**
Author: Anthony Tran
Client: Works Progress 
Description: Application CSS for Give & Take website (http://give-take.org/)
**/


/* 
 * GLOBAL ELEMENTS 
 * * * * * * * * * * * * * * * */

/* apply a natural box layout model to all elements */
* { 
  -moz-box-sizing: border-box; 
  -webkit-box-sizing: border-box; 
  box-sizing: border-box; 
}

ul {
  margin-left: 1em;
  list-style: square;
}

ul.events-listing,
ul.get-it,
ul.togglers {
  margin-left: 0;
  list-style: none;
}

input:invalid {
  background-color: transparent;
}

body, a, a:hover, a:visited {
  color: #090909
}

body {
  font-family: 'Proxima', "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;  
  font-size: 14px;
  line-height: 1.3333em;  
}

section {
  margin-top: 160px;
  padding: 0px 4%;
  position: relative;
}

/* first-child works in IE 7/8 */
section:first-child {
  margin-top: 0;
  padding-top: 80px;
}


a, a:hover {
  border-bottom: #a3a3a3 solid 1px;
  text-decoration: none;
} 

.ir, .ir:hover {
  border-bottom: 0 !important;
}


h1, 
.primary-nav a {
  font-size: 1.2em; /* 24 / 20 */
  font-weight: bold;
  margin-bottom: 1.6666666em; /* 40 / 24 */
}

h2 {
  font-weight: bold;
  font-size: 1.0em;
  margin-bottom: 1.0em;
}

p {
  margin-bottom: 1.0em;   
}

p:last-child {
  margin-bottom: 0;
}

p strong {
  font-weight: bold;
  font-size: 1.0em;
  margin-bottom: 1.0em;
}

p em {
   font-style: italic;
}

img {
  background-color: #fa9696;
}

blockquote {
  font-size: 1.0em;
  margin-bottom: 1.0em;  
}

blockquote p {
  font-weight: bold;
  font-style: italic;
}

blockquote q.credit span{
   float: left;
}

blockquote q.credit span,
blockquote q.credit p {
  font-weight: normal;
  font-style: normal;
}




/* 
 * GLOBAL CLASSES 
 * * * * * * * * * * * * * * * */

/* COLOR CHANGE */
body, .primary-nav ul{
  -webkit-transition: background-color 0.7s ease-in-out;
  -moz-transition: background-color 0.7s ease-in-out;
  -o-transition: background-color 0.7s ease-in-out;
  transition: background-color 0.7s ease-in-out;
  background-color: white;
}

              

.pagewidth {
  width: 100%;
}

.flexslider {
  margin-bottom: 2.0em; /* 40 / 20 */
  cursor: pointer;
}    

.action {
  cursor: pointer !important;
}   

figure.rollover {
  height: 100%;
  width: 100%;
}

figure.rollover a {
  border-bottom: 0;
  display: block;
  padding: 5px;
  position: relative;
  height: 100%;
  width: 100%;  
}    

figure.rollover img, 
figure.rollover figcaption {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

figure.rollover figcaption {
  padding: .75em;
  background-color: rgba(255,255,255,.75);
}

/* 
 * SECTION CLASSES 
 * * * * * * * * * * * * * * * */    
.main {
  z-index: 1;
}

.primary-nav {
  display: none;
  position: fixed;  
  width: 100%;
  z-index: 10001;
}

.primary-nav .nav-helper {
  padding: 20px 4% 0;
  float: right;
  display: none;
}

.primary-nav ul {
  border-bottom: 3px solid #090909;    
  padding: 20px 4% 0;
}

.primary-nav li {
  display: none;
  margin-bottom: 5px;
}

.primary-nav li.selected {
  display: block;
}

.primary-nav li a {
  font-weight: normal;
}

.primary-nav li.selected a {
  font-weight: bold;
  border-bottom: none;
}

.primary-nav li span {
  float: right;
  display: none;
}

.modal {
  background-color: #090909;
  color: white;
  overflow: scroll;
  height: 0;
  top: 0;
  left: 0;
  opacity: 0;
  z-index: 0;
  transition: opacity .25s ease-in-out;
  -webkit-transition: opacity .25s ease-in-out;
  -moz-transition: opacity .25s ease-in-out;      
}

html.touch .modal {
  -webkit-overflow-scrolling: touch;  
}


.modal h1 {
  width: 75%;
}

.modal .gd2 ul {
  margin-bottom: 1.0em;
}

.modal.active {
  top: 0;
  height: auto;
  opacity: 1;
  position: fixed;  
  z-index: 1000001;
}


.modal a,
.modal a:hover,
.modal a:visited {
  color: white;
  border-bottom: 1px white solid;
}



.modal > .pagewidth {
  padding: 80px 0;
  position: relative;
}

.modal .close-modal {
  position: absolute;
  top: 80px; /* padding from parent  */
  right: 0;
  display: block;
  background-image: url(img/modal-close.png);
  height: 32px;
  width: 32px;
}

.intro {}

.intro h2.logo {
  margin-bottom: 1.6666666em; /* 40 / 24 */
  margin-left: -19px;
}

.intro .logo a {
  -webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-position: center center;
  height: 180px;
  width: 280px;
}


.why {}

.why .toggler {
  margin-bottom: 2.0em;
}


.where {}

.where .events-filter {
  margin-bottom: 2.0em;
}

.where .events-filter li {
  padding-bottom: 2px; /*fix*/
  margin-bottom: 10px;
}


.events {}

.events .events-listing li {
  height: 180px;
  width: 280px;
  margin: 0 1em 1em 0;  
}


.saying {}


.how {}

.how .get-it {}

.how .get-it li {
  height: 136px;
  width: 280px;  
  margin: 1em 1em 1em 0;      
}

.about {}

.hello {}

.hello .contact {
  margin-bottom: 2em;
}

.hello .contact fieldset label {
  margin-bottom: 1em;
}

.hello .contact fieldset textarea {
  height: 120px;
}

.hello .contact fieldset label,
.hello .contact fieldset textarea,
.hello .contact fieldset input[type="email"],
.hello .contact fieldset input[type="text"] {
  display: block;
}

.hello .contact fieldset textarea,
.hello .contact fieldset input[type="email"],
.hello .contact fieldset input[type="text"] {  
  border: 2px solid #090909;
  margin-bottom: .5em;
  width: 100%;
}

/* imitate links */
.hello .contact fieldset input[type="submit"] {
  border: 0;
  background: transparent;
  color: #090909;
  border-bottom: #a3a3a3 solid 1px;
  padding: 0;
  font-family: 'Proxima', "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

.hello hgroup h1:first-child {
  margin-bottom: 0;
  margin-top: 150px;
}



@media only screen and (min-width: 480px) {

  body {
    font-size: 16px;  
  }

  .how .get-it li {
    height: 160px;
    width: 330px;    
  }

  .where .events-filter ul {
    overflow: hidden;
  }

  .where .events-filter li {
    float: left;
    margin-right: 25px;
    margin-bottom: 0;    
  }  

}

@media only screen and (min-width: 768px) {

  body {
    font-size: 20px;  
  }  
  
  .primary-nav:hover ul {
    border-bottom: none;
  }

  .primary-nav:hover .nav-helper {
    display: block;
  }

  .primary-nav:hover li {
    display: block;
  }   

  .primary-nav:hover li.selected {
    border-bottom: 3px solid #090909;    
  }

  .primary-nav:hover li.selected span {
    display: block;
  }    

  figure.rollover figcaption {
    background-color: #090909;
    color: white;
    opacity: 0;
    transition: opacity .5s ease-in-out;
    -webkit-transition: opacity .5s ease-in-out;
    -moz-transition: opacity .5s ease-in-out;
  }

  figure.rollover a:hover figcaption {
    opacity: 1;
  }     

  .where .events-filter li {
    margin-right: 10px;
  }

  .events .events-listing {
    overflow: hidden;
  }  

  .events .events-listing li {
    float: left;
  }  

  .how .get-it li {
    height: 280px;
    width: 580px;    
  }  


}

@media only screen and (min-width: 960px) {
  
  .pagewidth {
    margin: 0 auto;
    width: 900px;
  }     

  section {
    padding: 0;
  }

  .primary-nav ul {
    padding-left: 0;
    padding-right: 0;
  }  
  
  .gd1 {
    width: 33.3333%;
  }
  .gd2 {
    width: 66.6666%;
  }
  .gd3 {
    width: 100%;
  }
}
       
